CombinedPlot (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart

## Class CombinedPlot

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails
      - - com.twosigma.beakerx.chart.xychart.CombinedPlot

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem

      public class CombinedPlot
      extends ChartDetails

  CombinedPlot

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombinedPlot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CombinedPlot` | `add(XYChart plot)`
    `CombinedPlot` | `add(XYChart plot, int weight)`
    `boolean` | `getAutoZoom()`
    `java.lang.Integer` | `getInitHeight()`
    `java.lang.Integer` | `getInitWidth()`
    `java.lang.String` | `getModelNameValue()`
    `java.util.List<XYChart>` | `getSubplots()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getViewNameValue()`
    `java.util.List<java.lang.Integer>` | `getWeights()`
    `java.lang.String` | `getxLabel()`
    `java.lang.String` | `getXLabel()`
    `boolean` | `isxTickLabelsVisible()`
    `boolean` | `isXTickLabelsVisible()`
    `boolean` | `isyTickLabelsVisible()`
    `boolean` | `isYTickLabelsVisible()`
    `CombinedPlot` | `leftShift(java.lang.Object obj)`
    `protected java.util.Map` | `serializeToJsonObject()`
    `protected java.util.Map` | `serializeToJsonObject(java.lang.Object item)`
    `CombinedPlot` | `setAutoZoom(boolean autoZoom)`
    `CombinedPlot` | `setInitHeight(int h)`
    `CombinedPlot` | `setInitWidth(int w)`
    `CombinedPlot` | `setTitle(java.lang.String title)`
    `CombinedPlot` | `setxLabel(java.lang.String xLabel)`
    `CombinedPlot` | `setXLabel(java.lang.String xLabel)`
    `void` | `setxTickLabelsVisible(boolean xTickLabelsVisible)`
    `void` | `setXTickLabelsVisible(boolean xTickLabelsVisible)`
    `void` | `setyTickLabelsVisible(boolean yTickLabelsVisible)`
    `void` | `setYTickLabelsVisible(boolean yTickLabelsVisible)`
    `protected void` | `updateDetails(GraphicsActionObject info)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.ChartDetails

      `getDetails, getDetailsFromMessage, getGraphics, getGraphicsById, getGraphicsUid, onActionDetails, openComm, setDetails`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CombinedPlot

          public CombinedPlot()

  - ### Method Detail

    - #### getModelNameValue

          public java.lang.String getModelNameValue()

      Specified by:
        `getModelNameValue` in class `com.twosigma.beakerx.widget.Widget`

    - #### getViewNameValue

          public java.lang.String getViewNameValue()

      Specified by:
        `getViewNameValue` in class `com.twosigma.beakerx.widget.Widget`

    - #### setInitWidth

          public CombinedPlot setInitWidth(int w)

    - #### getInitWidth

          public java.lang.Integer getInitWidth()

    - #### setInitHeight

          public CombinedPlot setInitHeight(int h)

    - #### getInitHeight

          public java.lang.Integer getInitHeight()

    - #### setTitle

          public CombinedPlot setTitle(java.lang.String title)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setXLabel

          public CombinedPlot setXLabel(java.lang.String xLabel)

    - #### setxLabel

          public CombinedPlot setxLabel(java.lang.String xLabel)

    - #### getXLabel

          public java.lang.String getXLabel()

    - #### getxLabel

          public java.lang.String getxLabel()

    - #### add

          public CombinedPlot add(XYChart plot,
                                  int weight)

    - #### add

          public CombinedPlot add(XYChart plot)

    - #### leftShift

          public CombinedPlot leftShift(java.lang.Object obj)

    - #### getSubplots

          public java.util.List<XYChart> getSubplots()

    - #### getWeights

          public java.util.List<java.lang.Integer> getWeights()

    - #### isyTickLabelsVisible

          public boolean isyTickLabelsVisible()

    - #### isYTickLabelsVisible

          public boolean isYTickLabelsVisible()

    - #### setyTickLabelsVisible

          public void setyTickLabelsVisible(boolean yTickLabelsVisible)

    - #### setYTickLabelsVisible

          public void setYTickLabelsVisible(boolean yTickLabelsVisible)

    - #### isxTickLabelsVisible

          public boolean isxTickLabelsVisible()

    - #### isXTickLabelsVisible

          public boolean isXTickLabelsVisible()

    - #### setxTickLabelsVisible

          public void setxTickLabelsVisible(boolean xTickLabelsVisible)

    - #### setXTickLabelsVisible

          public void setXTickLabelsVisible(boolean xTickLabelsVisible)

    - #### getAutoZoom

          public boolean getAutoZoom()

    - #### setAutoZoom

          public CombinedPlot setAutoZoom(boolean autoZoom)

    - #### updateDetails

          protected void updateDetails(GraphicsActionObject info)

      Overrides:
        `updateDetails` in class `ChartDetails`

    - #### serializeToJsonObject

          protected java.util.Map serializeToJsonObject()

      Specified by:
        `serializeToJsonObject` in class `com.twosigma.beakerx.widget.BeakerxWidget`

    - #### serializeToJsonObject

          protected java.util.Map serializeToJsonObject(java.lang.Object item)

      Specified by:
        `serializeToJsonObject` in class `com.twosigma.beakerx.widget.BeakerxWidget`